See the top rated post in this thread. Click here

Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: Horizontal angle of rotated vertical bend

Hybrid View

Previous Post Previous Post   Next Post Next Post
  1. #1
    Member
    Join Date
    2011-04
    Posts
    4
    Login to Give a bone
    0

    Unhappy Horizontal angle of rotated vertical bend

    Does anyone have a routine to calculate the horizontal angle of a bend (11 1/4, 22 1/2, or 45) given the required vertical angle (or vice-versa)?
    I've spent a lot of time trying to figure it out on my own but my math skills just aren't strong enough.

  2. #2
    All AUGI, all the time
    Join Date
    2015-10
    Location
    Belgrade, Serbia, Europe
    Posts
    564
    Login to Give a bone
    0

    Default Re: Horizontal angle of rotated vertical bend

    I must admit, I don't quite understand what angles are you mentioning. Can you attach sketch of your question?

    M.R.

  3. #3
    Member
    Join Date
    2011-04
    Posts
    4
    Login to Give a bone
    0

    Default Re: Horizontal angle of rotated vertical bend

    Assuming the pipe in the attachment is a vertical bend (i.e. water main, gas line), if you rotate it along the axis formed be the horizontal section, the section moving diagonally up will flatten and you will create a horizontal bend. In those cases where it's advantageous to achieve a non-uniform vertical bend (something other than 11-1/4, 22-1/2, or 45 degrees), you could rotate the bend down but you would need to know what the resulting angle would be in plan view.
    Attached Images Attached Images

  4. #4
    Member
    Join Date
    2020-04
    Posts
    7
    Login to Give a bone
    0

    Default Re: Horizontal angle of rotated vertical bend

    Hi Marco,

    I'll be honest with you... I am really struggling to comprehend the hand sketch that you prepared in relation to the angles. I really hope you can clear up my confusion. This is what I know as per the marked up image. Alpha (yellow) and Beta (yellow) are inputs. Gamma (magenta) is 3D angle calculated from the Lisp routine (i.e. the 3 dimensional angle). I know that the dimensions / diameter of the pipe are irrelevant. I am assuming the lines are at the centre of the pipe barrel. The attached image shows a red line, a blue line. Is the red line, the plan view of the pipe? and is the blue line the profile/elevation/long section of the pipe? Or is it the green line?
    There are other comments on the forum that explain those people are confused with your sketch.
    Trust you are able to assist.

    Capture_IG.JPG

    Ian

    - - - Updated - - -

    Marco,

    Thank you. I will now review this - I didn't see this reply until after my previous post, so many disregard that for now.
    I'll let you know how I go. I think (hopefully) that it is starting to make sense...

    Ian

  5. #5
    All AUGI, all the time
    Join Date
    2015-10
    Location
    Belgrade, Serbia, Europe
    Posts
    564
    Login to Give a bone
    1

    Default Re: Horizontal angle of rotated vertical bend

    If I understood correctly, you don't know how to obtain angle of projection on plan view of bend that was rotated along horizontal axis down by alpha degree starting from vertical position of 90 degree... If you look from side where axis of rotation is viewed in special position as point, you will see bend as line that when rotates makes circle... If you rotate from vertical position by alpha, your horizontal projection would be L*cos(alpha), vertical L*sin(alpha), where L is projection length of bend in our special projection view, and if bend is bended at 45 degree as shown in attached file, after some calculations, I've found :

    Code:
    (defun c:hpa-ra () (c:hprojang-rotang) )
    (defun c:hprojang-rotang ( / alpha gamma gammar)
    (setq alpha (getangle "\nInput angle in decimal degrees for rotation of bend along main pipe axis : "))
    (setq gammar (- PI (atan (cos (- (/ PI 2) alpha)))))
    (setq gamma (* (/ 180 PI) gammar))
    (princ "Horizontal projection angle is : ")(princ gamma)(princ " degrees")
    (princ)
    )
    (princ "\nType \"hpa-ra\" for shortcut")
    (princ)
    This only works for bend of 45 degrees...

    This works for all curvatures of bend pipes :
    Code:
    (defun c:hpa-ra () (c:hprojang-rotang) )
    (defun c:hprojang-rotang ( / alpha beta v-h gamma gammar)
    (setq beta (getangle "\nInput angle in decimal degrees for curvature of bend of pipes : "))
    (setq v-h (/ (sin beta) (cos beta)))
    (setq alpha (getangle "\nInput angle in decimal degrees for rotation of bend along main pipe axis : "))
    (setq gammar (- PI (atan (* v-h (cos (- (/ PI 2) alpha))))))
    (setq gamma (* (/ 180 PI) gammar))
    (princ "Horizontal projection angle is : ")(princ gamma)(princ " degrees")
    (princ)
    )
    (princ "\nType \"hpa-ra\" for shortcut")
    (princ)
    M.R.
    Last edited by marko_ribar; 2011-04-19 at 11:53 AM. Reason: adding additional code

  6. #6
    Woo! Hoo! my 1st post
    Join Date
    2017-03
    Posts
    1
    Login to Give a bone
    0

    Default Re: Horizontal angle of rotated vertical bend

    Quote Originally Posted by marko_ribar View Post
    If I understood correctly, you don't know how to obtain angle of projection on plan view of bend that was rotated along horizontal axis down by alpha degree starting from vertical position of 90 degree... If you look from side where axis of rotation is viewed in special position as point, you will see bend as line that when rotates makes circle... If you rotate from vertical position by alpha, your horizontal projection would be L*cos(alpha), vertical L*sin(alpha), where L is projection length of bend in our special projection view, and if bend is bended at 45 degree as shown in attached file, after some calculations, I've found :

    Code:
    (defun c:hpa-ra () (c:hprojang-rotang) )
    (defun c:hprojang-rotang ( / alpha gamma gammar)
    (setq alpha (getangle "\nInput angle in decimal degrees for rotation of bend along main pipe axis : "))
    (setq gammar (- PI (atan (cos (- (/ PI 2) alpha)))))
    (setq gamma (* (/ 180 PI) gammar))
    (princ "Horizontal projection angle is : ")(princ gamma)(princ " degrees")
    (princ)
    )
    (princ "\nType \"hpa-ra\" for shortcut")
    (princ)
    This only works for bend of 45 degrees...

    This works for all curvatures of bend pipes :
    Code:
    (defun c:hpa-ra () (c:hprojang-rotang) )
    (defun c:hprojang-rotang ( / alpha beta v-h gamma gammar)
    (setq beta (getangle "\nInput angle in decimal degrees for curvature of bend of pipes : "))
    (setq v-h (/ (sin beta) (cos beta)))
    (setq alpha (getangle "\nInput angle in decimal degrees for rotation of bend along main pipe axis : "))
    (setq gammar (- PI (atan (* v-h (cos (- (/ PI 2) alpha))))))
    (setq gamma (* (/ 180 PI) gammar))
    (princ "Horizontal projection angle is : ")(princ gamma)(princ " degrees")
    (princ)
    )
    (princ "\nType \"hpa-ra\" for shortcut")
    (princ)
    M.R.
    Okay so I have the lisp routine up and running but I do not understand the input parameters. Can someone break it down for me?

  7. #7
    All AUGI, all the time
    Join Date
    2015-10
    Location
    Belgrade, Serbia, Europe
    Posts
    564
    Login to Give a bone
    0

    Default Re: Horizontal angle of rotated vertical bend

    Analyze attached picture to see what angles alpha, beta and gamma are...
    Attached Images Attached Images

  8. #8
    Member
    Join Date
    2020-04
    Posts
    7
    Login to Give a bone
    0

    Default Re: Horizontal angle of rotated vertical bend

    Quote Originally Posted by marko_ribar View Post
    Analyze attached picture to see what angles alpha, beta and gamma are...
    Hi,Capture.JPG

    Does this mean that the:
    Input angle in decimal degrees for curvature of bend of pipes = the vertical bend of the gas main (or pipe) ie. 20deg
    Input angle in decimal degrees for rotation of bend along main pipe axis = the horizontal bend of the gas main (or pipe) i.e. 7deg
    Therefore the horizontal projection angle is 182.54deg as per the LISP?

    Thanks
    Ian

  9. #9
    All AUGI, all the time
    Join Date
    2015-10
    Location
    Belgrade, Serbia, Europe
    Posts
    564
    Login to Give a bone
    0

    Default Re: Horizontal angle of rotated vertical bend

    Quote Originally Posted by grievesy789132 View Post
    Hi,Capture.JPG

    Does this mean that the:
    Input angle in decimal degrees for curvature of bend of pipes = the vertical bend of the gas main (or pipe) ie. 20deg
    Input angle in decimal degrees for rotation of bend along main pipe axis = the horizontal bend of the gas main (or pipe) i.e. 7deg
    Therefore the horizontal projection angle is 182.54deg as per the LISP?

    Thanks
    Ian
    Ian, analyze my attached picture - everything is described in my hand drawing... When you figure out where formula comes from (analyze picture - projections carefully), then my second posted code with formula - the same will be clear in your mind... There are 2 inputs (alpha angle and beta angle) - gamma is calculated from those 2 - dimensions of pipe is irrelevant - only angles are important...

    Your magenta picture is wrong (you draw horizontal projection - TOP VIEW) and in LISP you specified alpha angle = 20 degree which is angle of rotation along axis in right projection - axis is there viewed as point... And if those inputs are correct then horizontal angle - not real 3D angle in your magenta scheme should be 182.54deg... Check it if you want (draw pipes with exact lengths) and then draw all 3 projections with correctly input angles alpha and beta... You'll see that when you project TOP VIEW from FRONT and RIGHT you'll get that angle 182.54deg...

    Actually - I drew it for you - the angle should be gamma=177.44deg...

    angles.png

    [EDIT : Firstly you input angle beta = 7 degree and then alpha = 20 degree... Routine should calculate exactly 177.44 degree...]
    Last edited by marko_ribar; 2020-04-10 at 08:02 AM.

  10. #10
    Member
    Join Date
    2011-04
    Posts
    4
    Login to Give a bone
    0

    Default Re: Horizontal angle of rotated vertical bend

    Well, I think you're on the right track but I need something that will work for 11-1/4 and 22-1/2 degree elbows as well. Also, the results, while correct, are confusing.
    Thanks for the effort!

Page 1 of 2 12 LastLast

Similar Threads

  1. 2014: Cable Tray/Ladder Rack Horizontal Bend 3D Surfaces
    By Brendan H in forum Dynamic Blocks - Sharing
    Replies: 1
    Last Post: 2015-09-20, 03:36 PM
  2. Tile Horizontal / Vertical
    By Chad Smith in forum Revit Architecture - Wish List
    Replies: 2
    Last Post: 2015-01-30, 01:01 PM
  3. 2014: Etiquette allège dans un angle autre que horizontal ou vertical
    By batproj in forum Revit Architecture - General
    Replies: 2
    Last Post: 2013-10-21, 04:56 PM
  4. Targeting Vertical before Horizontal
    By JTH-ABAM in forum AutoCAD Civil 3D - Corridors
    Replies: 3
    Last Post: 2011-12-13, 12:46 AM
  5. snapping horizontal or vertical
    By Justin Marchiel in forum Revit Architecture - General
    Replies: 3
    Last Post: 2006-07-24, 10:29 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •